package cviceni.services;

import cviceni.dao.UzivatelDAO;
import cviceni.dao.UzivatelDAOImpl;
import cviceni.model.Uzivatel;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Collection;
import java.util.List;


public class UzivatelServiceImpl implements UzivatelService
{   

    UzivatelDAO dao;

    public void setUzivatelDao(UzivatelDAO dao) {
        this.dao = dao;
    }

    public void deleteById(int id) {
        Uzivatel u = findUzivatelById(id);
        dao.delete(u);
    }

    public Uzivatel findUzivatelById(int id) {
        return dao.findById(id);
    }
    public List<Uzivatel> getUzivatele() {
        return dao.findAll();
    }

    public void saveOrUpdate(Uzivatel uziv) {
        dao.persist(uziv);
    }

}
